"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault")["default"];
var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard")["default"];
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Code = void 0;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireWildcard(require("react"));
var _store = require("./store");
var _CodePreview = require("./CodePreview");
var _excluded = ["tagName", "className", "children"];
var Code = exports.Code = /*#__PURE__*/_react["default"].forwardRef(function (props, ref) {
  var _props$tagName = props.tagName,
    tagName = _props$tagName === void 0 ? 'div' : _props$tagName,
    className = props.className,
    children = props.children,
    htmlProps = (0, _objectWithoutProperties2["default"])(props, _excluded);
  var cls = ["".concat(_CodePreview.CODE_PREVIEW_PREFIX, "-code"), className].filter(Boolean).join(' ').trim();
  var store = (0, _react.useContext)(_store.Context);
  if (store.collapse) {
    return null;
  }
  var TagName = props.href && typeof tagName === 'string' ? 'a' : tagName;
  var childProps = (0, _objectSpread2["default"])((0, _objectSpread2["default"])({}, htmlProps), {}, {
    className: cls,
    ref: ref
  });
  return /*#__PURE__*/_react["default"].createElement(TagName, childProps, children);
});
Code.displayName = 'uiw.CodeLayoutCode';